<?php
/**
 * The template for displaying Archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package multipurpose blog
 */

get_header(); ?>

<div class="container">
    <?php
        $left_right = get_theme_mod( 'multipurpose_blog_theme_options','One Column');
        if($left_right == 'Left Sidebar'){ ?>
        <div class="col-md-4 col-sm-4"><?php get_sidebar(); ?></div>
        <section id="our-services" class="services flipInX col-md-8 col-sm-8">            
            <?php if ( have_posts() ) :
                /* Start the Loop */          
                while ( have_posts() ) : the_post();
                    get_template_part( 'template-parts/archivetemp' );           
                endwhile;
                else :
                    get_template_part( 'no-results', 'archive' ); 
                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'multipurpose-blog' ),
                        'next_text'          => __( 'Next page', 'multipurpose-blog' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-blog' ) . ' </span>',
                    ) );
                ?>
                <div class="clearfix"></div>
            </div>
        </section>
    <?php }else if($left_right == 'Right Sidebar'){ ?>
        <section id="our-services" class="services flipInX col-md-8 col-sm-8">
            <?php if ( have_posts() ) :
                /* Start the Loop */          
                while ( have_posts() ) : the_post();
                    get_template_part( 'template-parts/archivetemp' );           
                endwhile;
                else :
                    get_template_part( 'no-results', 'archive' ); 
                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'multipurpose-blog' ),
                        'next_text'          => __( 'Next page', 'multipurpose-blog' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-blog' ) . ' </span>',
                    ) );
                ?>
                <div class="clearfix"></div>
            </div>
        </section>
        <div class="col-md-4 col-sm-4"><?php get_sidebar(); ?></div>
    <?php }else if($left_right == 'One Column'){ ?>
        <section id="our-services" class="services flipInX col-md-12 col-sm-12">
            <?php if ( have_posts() ) :
                /* Start the Loop */          
                while ( have_posts() ) : the_post();
                    get_template_part( 'template-parts/archivetemp' );           
                endwhile;
                else :
                    get_template_part( 'no-results', 'archive' ); 
                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'multipurpose-blog' ),
                        'next_text'          => __( 'Next page', 'multipurpose-blog' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-blog' ) . ' </span>',
                    ) );
                ?>
                <div class="clearfix"></div>
            </div>
        </section>
    <?php }else if($left_right == 'Three Columns'){ ?>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-1'); ?></div>
        <section id="our-services" class="services flipInX col-md-6 col-sm-6">
            <?php if ( have_posts() ) :
                /* Start the Loop */          
                while ( have_posts() ) : the_post();
                    get_template_part( 'template-parts/archivetemp' );           
                endwhile;
                else :
                    get_template_part( 'no-results', 'archive' ); 
                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'multipurpose-blog' ),
                        'next_text'          => __( 'Next page', 'multipurpose-blog' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-blog' ) . ' </span>',
                    ) );
                ?>
                <div class="clearfix"></div>
            </div>
        </section>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
    <?php }else if($left_right == 'Four Columns'){ ?>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-1'); ?></div>
        <section id="our-services" class="services flipInX col-md-3 col-sm-3">
            <?php if ( have_posts() ) :
            /* Start the Loop */          
                while ( have_posts() ) : the_post();
                    get_template_part( 'template-parts/archivetemp' );           
                endwhile;
                else :
                    get_template_part( 'no-results', 'archive' ); 
                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'multipurpose-blog' ),
                        'next_text'          => __( 'Next page', 'multipurpose-blog' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-blog' ) . ' </span>',
                    ) );
                ?>
                <div class="clearfix"></div>
            </div>
        </section>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-2'); ?></div>
        <div id="sidebar" class="col-md-3 col-sm-3"><?php dynamic_sidebar('sidebar-3'); ?></div>
    <?php }else if($left_right == 'Grid Layout'){ ?>
        <section id="our-services" class="services flipInX col-md-8 col-sm-8">
            <?php
                the_archive_title( '<h1 class="page-title">', '</h1>' );
                the_archive_description( '<div class="taxonomy-description">', '</div>' );
            ?>
            <?php if ( have_posts() ) :
            /* Start the Loop */          
                while ( have_posts() ) : the_post();
                    get_template_part( 'template-parts/grid-layout' );           
                endwhile;
                else :
                    get_template_part( 'no-results', 'archive' ); 
                endif; 
            ?>
            <div class="navigation">
                <?php
                    // Previous/next page navigation.
                    the_posts_pagination( array(
                        'prev_text'          => __( 'Previous page', 'multipurpose-blog' ),
                        'next_text'          => __( 'Next page', 'multipurpose-blog' ),
                        'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'multipurpose-blog' ) . ' </span>',
                    ) );
                ?>
                <div class="clearfix"></div>
            </div>
        </section>
        <div class="col-md-4 col-sm-4"><?php get_sidebar(); ?></div>8
    <?php }?>
</div>
<div class="clearfix"></div>
<?php get_footer(); ?>